Changeset 199

Show
Ignore:
Timestamp:
05/15/04 07:54:09 (5 years ago)
Author:
morris
Message:

add missing tests

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • trackerd/trunk/configure

    r189 r199  
    59155915fi 
    59165916 
     5917echo "$as_me:$LINENO: checking return type of signal handlers" >&5 
     5918echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6 
     5919if test "${ac_cv_type_signal+set}" = set; then 
     5920  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5921else 
     5922  cat >conftest.$ac_ext <<_ACEOF 
     5923#line $LINENO "configure" 
     5924/* confdefs.h.  */ 
     5925_ACEOF 
     5926cat confdefs.h >>conftest.$ac_ext 
     5927cat >>conftest.$ac_ext <<_ACEOF 
     5928/* end confdefs.h.  */ 
     5929#include <sys/types.h> 
     5930#include <signal.h> 
     5931#ifdef signal 
     5932# undef signal 
     5933#endif 
     5934#ifdef __cplusplus 
     5935extern "C" void (*signal (int, void (*)(int)))(int); 
     5936#else 
     5937void (*signal ()) (); 
     5938#endif 
     5939 
     5940int 
     5941main () 
     5942{ 
     5943int i; 
     5944  ; 
     5945  return 0; 
     5946} 
     5947_ACEOF 
     5948rm -f conftest.$ac_objext 
     5949if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     5950  (eval $ac_compile) 2>&5 
     5951  ac_status=$? 
     5952  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5953  (exit $ac_status); } && 
     5954         { ac_try='test -s conftest.$ac_objext' 
     5955  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5956  (eval $ac_try) 2>&5 
     5957  ac_status=$? 
     5958  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5959  (exit $ac_status); }; }; then 
     5960  ac_cv_type_signal=void 
     5961else 
     5962  echo "$as_me: failed program was:" >&5 
     5963sed 's/^/| /' conftest.$ac_ext >&5 
     5964 
     5965ac_cv_type_signal=int 
     5966fi 
     5967rm -f conftest.$ac_objext conftest.$ac_ext 
     5968fi 
     5969echo "$as_me:$LINENO: result: $ac_cv_type_signal" >&5 
     5970echo "${ECHO_T}$ac_cv_type_signal" >&6 
     5971 
     5972cat >>confdefs.h <<_ACEOF 
     5973#define RETSIGTYPE $ac_cv_type_signal 
     5974_ACEOF 
     5975 
     5976 
    59175977echo "$as_me:$LINENO: checking for size_t" >&5 
    59185978echo $ECHO_N "checking for size_t... $ECHO_C" >&6 
     
    60326092 
    60336093 
    6034 for ac_header in stdlib.h 
     6094for ac_header in unistd.h 
    60356095do 
    60366096as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    61736233done 
    61746234 
     6235echo "$as_me:$LINENO: checking for working chown" >&5 
     6236echo $ECHO_N "checking for working chown... $ECHO_C" >&6 
     6237if test "${ac_cv_func_chown_works+set}" = set; then 
     6238  echo $ECHO_N "(cached) $ECHO_C" >&6 
     6239else 
     6240  if test "$cross_compiling" = yes; then 
     6241  ac_cv_func_chown_works=no 
     6242else 
     6243  cat >conftest.$ac_ext <<_ACEOF 
     6244#line $LINENO "configure" 
     6245/* confdefs.h.  */ 
     6246_ACEOF 
     6247cat confdefs.h >>conftest.$ac_ext 
     6248cat >>conftest.$ac_ext <<_ACEOF 
     6249/* end confdefs.h.  */ 
     6250$ac_includes_default 
     6251#include <fcntl.h> 
     6252 
     6253int 
     6254main () 
     6255{ 
     6256  char *f = "conftest.chown"; 
     6257  struct stat before, after; 
     6258 
     6259  if (creat (f, 0600) < 0) 
     6260    exit (1); 
     6261  if (stat (f, &before) < 0) 
     6262    exit (1); 
     6263  if (chown (f, (uid_t) -1, (gid_t) -1) == -1) 
     6264    exit (1); 
     6265  if (stat (f, &after) < 0) 
     6266    exit (1); 
     6267  exit ((before.st_uid == after.st_uid 
     6268         && before.st_gid == after.st_gid) ? 0 : 1); 
     6269 
     6270  ; 
     6271  return 0; 
     6272} 
     6273_ACEOF 
     6274rm -f conftest$ac_exeext 
     6275if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     6276  (eval $ac_link) 2>&5 
     6277  ac_status=$? 
     6278  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6279  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     6280  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     6281  (eval $ac_try) 2>&5 
     6282  ac_status=$? 
     6283  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6284  (exit $ac_status); }; }; then 
     6285  ac_cv_func_chown_works=yes 
     6286else 
     6287  echo "$as_me: program exited with status $ac_status" >&5 
     6288echo "$as_me: failed program was:" >&5 
     6289sed 's/^/| /' conftest.$ac_ext >&5 
     6290 
     6291( exit $ac_status ) 
     6292ac_cv_func_chown_works=no 
     6293fi 
     6294rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     6295fi 
     6296rm -f conftest.chown 
     6297 
     6298fi 
     6299echo "$as_me:$LINENO: result: $ac_cv_func_chown_works" >&5 
     6300echo "${ECHO_T}$ac_cv_func_chown_works" >&6 
     6301if test $ac_cv_func_chown_works = yes; then 
     6302 
     6303cat >>confdefs.h <<\_ACEOF 
     6304#define HAVE_CHOWN 1 
     6305_ACEOF 
     6306 
     6307fi 
     6308 
     6309 
     6310for ac_header in stdlib.h 
     6311do 
     6312as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     6313if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     6314  echo "$as_me:$LINENO: checking for $ac_header" >&5 
     6315echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
     6316if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     6317  echo $ECHO_N "(cached) $ECHO_C" >&6 
     6318fi 
     6319echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
     6320echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
     6321else 
     6322  # Is the header compilable? 
     6323echo "$as_me:$LINENO: checking $ac_header usability" >&5 
     6324echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6 
     6325cat >conftest.$ac_ext <<_ACEOF 
     6326#line $LINENO "configure" 
     6327/* confdefs.h.  */ 
     6328_ACEOF 
     6329cat confdefs.h >>conftest.$ac_ext 
     6330cat >>conftest.$ac_ext <<_ACEOF 
     6331/* end confdefs.h.  */ 
     6332$ac_includes_default 
     6333#include <$ac_header> 
     6334_ACEOF 
     6335rm -f conftest.$ac_objext 
     6336if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     6337  (eval $ac_compile) 2>&5 
     6338  ac_status=$? 
     6339  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6340  (exit $ac_status); } && 
     6341         { ac_try='test -s conftest.$ac_objext' 
     6342  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     6343  (eval $ac_try) 2>&5 
     6344  ac_status=$? 
     6345  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6346  (exit $ac_status); }; }; then 
     6347  ac_header_compiler=yes 
     6348else 
     6349  echo "$as_me: failed program was:" >&5 
     6350sed 's/^/| /' conftest.$ac_ext >&5 
     6351 
     6352ac_header_compiler=no 
     6353fi 
     6354rm -f conftest.$ac_objext conftest.$ac_ext 
     6355echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     6356echo "${ECHO_T}$ac_header_compiler" >&6 
     6357 
     6358# Is the header present? 
     6359echo "$as_me:$LINENO: checking $ac_header presence" >&5 
     6360echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6 
     6361cat >conftest.$ac_ext <<_ACEOF 
     6362#line $LINENO "configure" 
     6363/* confdefs.h.  */ 
     6364_ACEOF 
     6365cat confdefs.h >>conftest.$ac_ext 
     6366cat >>conftest.$ac_ext <<_ACEOF 
     6367/* end confdefs.h.  */ 
     6368#include <$ac_header> 
     6369_ACEOF 
     6370if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     6371  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     6372  ac_status=$? 
     6373  grep -v '^ *+' conftest.er1 >conftest.err 
     6374  rm -f conftest.er1 
     6375  cat conftest.err >&5 
     6376  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6377  (exit $ac_status); } >/dev/null; then 
     6378  if test -s conftest.err; then 
     6379    ac_cpp_err=$ac_c_preproc_warn_flag 
     6380  else 
     6381    ac_cpp_err= 
     6382  fi 
     6383else 
     6384  ac_cpp_err=yes 
     6385fi 
     6386if test -z "$ac_cpp_err"; then 
     6387  ac_header_preproc=yes 
     6388else 
     6389  echo "$as_me: failed program was:" >&5 
     6390sed 's/^/| /' conftest.$ac_ext >&5 
     6391 
     6392  ac_header_preproc=no 
     6393fi 
     6394rm -f conftest.err conftest.$ac_ext 
     6395echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     6396echo "${ECHO_T}$ac_header_preproc" >&6 
     6397 
     6398# So?  What about this header? 
     6399case $ac_header_compiler:$ac_header_preproc in 
     6400  yes:no ) 
     6401    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
     6402echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     6403    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     6404echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     6405    ( 
     6406      cat <<\_ASBOX 
     6407## ------------------------------------ ## 
     6408## Report this to bug-autoconf@gnu.org. ## 
     6409## ------------------------------------ ## 
     6410_ASBOX 
     6411    ) | 
     6412      sed "s/^/$as_me: WARNING:     /" >&2 
     6413    ;; 
     6414  no:yes ) 
     6415    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
     6416echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
     6417    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5 
     6418echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;} 
     6419    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     6420echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     6421    ( 
     6422      cat <<\_ASBOX 
     6423## ------------------------------------ ## 
     6424## Report this to bug-autoconf@gnu.org. ## 
     6425## ------------------------------------ ## 
     6426_ASBOX 
     6427    ) | 
     6428      sed "s/^/$as_me: WARNING:     /" >&2 
     6429    ;; 
     6430esac 
     6431echo "$as_me:$LINENO: checking for $ac_header" >&5 
     6432echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
     6433if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     6434  echo $ECHO_N "(cached) $ECHO_C" >&6 
     6435else 
     6436  eval "$as_ac_Header=$ac_header_preproc" 
     6437fi 
     6438echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
     6439echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
     6440 
     6441fi 
     6442if test `eval echo '${'$as_ac_Header'}'` = yes; then 
     6443  cat >>confdefs.h <<_ACEOF 
     6444#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
     6445_ACEOF 
     6446 
     6447fi 
     6448 
     6449done 
     6450 
    61756451echo "$as_me:$LINENO: checking for GNU libc compatible malloc" >&5 
    61766452echo $ECHO_N "checking for GNU libc compatible malloc... $ECHO_C" >&6 
     
    63826658fi 
    63836659 
    6384 echo "$as_me:$LINENO: checking return type of signal handlers" >&5 
    6385 echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6 
    6386 if test "${ac_cv_type_signal+set}" = set; then 
     6660 
     6661for ac_header in stdlib.h 
     6662do 
     6663as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     6664if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     6665  echo "$as_me:$LINENO: checking for $ac_header" >&5 
     6666echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
     6667if eval "test \"\${$as_ac_Header+set}\" = set"; then 
    63876668  echo $ECHO_N "(cached) $ECHO_C" >&6 
    6388 else 
    6389   cat >conftest.$ac_ext <<_ACEOF 
     6669fi 
     6670echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
     6671echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
     6672else 
     6673  # Is the header compilable? 
     6674echo "$as_me:$LINENO: checking $ac_header usability" >&5 
     6675echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6 
     6676cat >conftest.$ac_ext <<_ACEOF 
    63906677#line $LINENO "configure" 
    63916678/* confdefs.h.  */ 
     
    63946681cat >>conftest.$ac_ext <<_ACEOF 
    63956682/* end confdefs.h.  */ 
    6396 #include <sys/types.h> 
    6397 #include <signal.h> 
    6398 #ifdef signal 
    6399 # undef signal 
    6400 #endif 
    6401 #ifdef __cplusplus 
    6402 extern "C" void (*signal (int, void (*)(int)))(int); 
    6403 #else 
    6404 void (*signal ()) (); 
    6405 #endif 
    6406  
    6407 int 
    6408 main () 
    6409 
    6410 int i; 
    6411   ; 
    6412   return 0; 
    6413 
     6683$ac_includes_default 
     6684#include <$ac_header> 
    64146685_ACEOF 
    64156686rm -f conftest.$ac_objext 
     
    64256696  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    64266697  (exit $ac_status); }; }; then 
    6427   ac_cv_type_signal=void 
     6698  ac_header_compiler=yes 
    64286699else 
    64296700  echo "$as_me: failed program was:" >&5 
    64306701sed 's/^/| /' conftest.$ac_ext >&5 
    64316702 
    6432 ac_cv_type_signal=int 
     6703ac_header_compiler=no 
    64336704fi 
    64346705rm -f conftest.$ac_objext conftest.$ac_ext 
    6435 fi 
    6436 echo "$as_me:$LINENO: result: $ac_cv_type_signal" >&5 
    6437 echo "${ECHO_T}$ac_cv_type_signal" >&6 
     6706echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     6707echo "${ECHO_T}$ac_header_compiler" >&6 
     6708 
     6709# Is the header present? 
     6710echo "$as_me:$LINENO: checking $ac_header presence" >&5 
     6711echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6 
     6712cat >conftest.$ac_ext <<_ACEOF 
     6713#line $LINENO "configure" 
     6714/* confdefs.h.  */ 
     6715_ACEOF 
     6716cat confdefs.h >>conftest.$ac_ext 
     6717cat >>conftest.$ac_ext <<_ACEOF 
     6718/* end confdefs.h.  */ 
     6719#include <$ac_header> 
     6720_ACEOF 
     6721if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     6722  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     6723  ac_status=$? 
     6724  grep -v '^ *+' conftest.er1 >conftest.err 
     6725  rm -f conftest.er1 
     6726  cat conftest.err >&5 
     6727  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6728  (exit $ac_status); } >/dev/null; then 
     6729  if test -s conftest.err; then 
     6730    ac_cpp_err=$ac_c_preproc_warn_flag 
     6731  else 
     6732    ac_cpp_err= 
     6733  fi 
     6734else 
     6735  ac_cpp_err=yes 
     6736fi 
     6737if test -z "$ac_cpp_err"; then 
     6738  ac_header_preproc=yes 
     6739else 
     6740  echo "$as_me: failed program was:" >&5 
     6741sed 's/^/| /' conftest.$ac_ext >&5 
     6742 
     6743  ac_header_preproc=no 
     6744fi 
     6745rm -f conftest.err conftest.$ac_ext 
     6746echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     6747echo "${ECHO_T}$ac_header_preproc" >&6 
     6748 
     6749# So?  What about this header? 
     6750case $ac_header_compiler:$ac_header_preproc in 
     6751  yes:no ) 
     6752    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
     6753echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     6754    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     6755echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     6756    ( 
     6757      cat <<\_ASBOX 
     6758## ------------------------------------ ## 
     6759## Report this to bug-autoconf@gnu.org. ## 
     6760## ------------------------------------ ## 
     6761_ASBOX 
     6762    ) | 
     6763      sed "s/^/$as_me: WARNING:     /" >&2 
     6764    ;; 
     6765  no:yes ) 
     6766    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
     6767echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
     6768    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5 
     6769echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;} 
     6770    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     6771echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     6772    ( 
     6773      cat <<\_ASBOX 
     6774## ------------------------------------ ## 
     6775## Report this to bug-autoconf@gnu.org. ## 
     6776## ------------------------------------ ## 
     6777_ASBOX 
     6778    ) | 
     6779      sed "s/^/$as_me: WARNING:     /" >&2 
     6780    ;; 
     6781esac 
     6782echo "$as_me:$LINENO: checking for $ac_header" >&5 
     6783echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
     6784if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     6785  echo $ECHO_N "(cached) $ECHO_C" >&6 
     6786else 
     6787  eval "$as_ac_Header=$ac_header_preproc" 
     6788fi 
     6789echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
     6790echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
     6791 
     6792fi 
     6793if test `eval echo '${'$as_ac_Header'}'` = yes; then 
     6794  cat >>confdefs.h <<_ACEOF 
     6795#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
     6796_ACEOF 
     6797 
     6798fi 
     6799 
     6800done 
     6801 
     6802echo "$as_me:$LINENO: checking for GNU libc compatible realloc" >&5 
     6803echo $ECHO_N "checking for GNU libc compatible realloc... $ECHO_C" >&6 
     6804if test "${ac_cv_func_realloc_0_nonnull+set}" = set; then 
     6805  echo $ECHO_N "(cached) $ECHO_C" >&6 
     6806else 
     6807  if test "$cross_compiling" = yes; then 
     6808  ac_cv_func_realloc_0_nonnull=no 
     6809else 
     6810  cat >conftest.$ac_ext <<_ACEOF 
     6811#line $LINENO "configure" 
     6812/* confdefs.h.  */ 
     6813_ACEOF 
     6814cat confdefs.h >>conftest.$ac_ext 
     6815cat >>conftest.$ac_ext <<_ACEOF 
     6816/* end confdefs.h.  */ 
     6817#if STDC_HEADERS || HAVE_STDLIB_H 
     6818# include <stdlib.h> 
     6819#else 
     6820char *realloc (); 
     6821#endif 
     6822 
     6823int 
     6824main () 
     6825
     6826exit (realloc (0, 0) ? 0 : 1); 
     6827  ; 
     6828  return 0; 
     6829
     6830_ACEOF 
     6831rm -f conftest$ac_exeext 
     6832if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     6833  (eval $ac_link) 2>&5 
     6834  ac_status=$? 
     6835  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6836  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     6837  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     6838  (eval $ac_try) 2>&5 
     6839  ac_status=$? 
     6840  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6841  (exit $ac_status); }; }; then 
     6842  ac_cv_func_realloc_0_nonnull=yes 
     6843else 
     6844  echo "$as_me: program exited with status $ac_status" >&5 
     6845echo "$as_me: failed program was:" >&5 
     6846sed 's/^/| /' conftest.$ac_ext >&5 
     6847 
     6848( exit $ac_status ) 
     6849ac_cv_func_realloc_0_nonnull=no 
     6850fi 
     6851rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     6852fi 
     6853fi 
     6854echo "$as_me:$LINENO: result: $ac_cv_func_realloc_0_nonnull" >&5 
     6855echo "${ECHO_T}$ac_cv_func_realloc_0_nonnull" >&6 
     6856if test $ac_cv_func_realloc_0_nonnull = yes; then 
     6857 
     6858cat >>confdefs.h <<\_ACEOF 
     6859#define HAVE_REALLOC 1 
     6860_ACEOF 
     6861 
     6862else 
     6863  cat >>confdefs.h <<\_ACEOF 
     6864#define HAVE_REALLOC 0 
     6865_ACEOF 
     6866 
     6867   LIBOBJS="$LIBOBJS realloc.$ac_objext" 
     6868 
     6869cat >>confdefs.h <<\_ACEOF 
     6870#define realloc rpl_realloc 
     6871_ACEOF 
     6872 
     6873fi 
     6874 
     6875 
     6876 
     6877 
     6878 
     6879for ac_header in sys/select.h sys/socket.h 
     6880do 
     6881as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     6882if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     6883  echo "$as_me:$LINENO: checking for $ac_header" >&5 
     6884echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
     6885if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     6886  echo $ECHO_N "(cached) $ECHO_C" >&6 
     6887fi 
     6888echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
     6889echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
     6890else 
     6891  # Is the header compilable? 
     6892echo "$as_me:$LINENO: checking $ac_header usability" >&5 
     6893echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6 
     6894cat >conftest.$ac_ext <<_ACEOF 
     6895#line $LINENO "configure" 
     6896/* confdefs.h.  */ 
     6897_ACEOF 
     6898cat confdefs.h >>conftest.$ac_ext 
     6899cat >>conftest.$ac_ext <<_ACEOF 
     6900/* end confdefs.h.  */ 
     6901$ac_includes_default 
     6902#include <$ac_header> 
     6903_ACEOF 
     6904rm -f conftest.$ac_objext 
     6905if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     6906  (eval $ac_compile) 2>&5 
     6907  ac_status=$? 
     6908  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6909  (exit $ac_status); } && 
     6910         { ac_try='test -s conftest.$ac_objext' 
     6911  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     6912  (eval $ac_try) 2>&5 
     6913  ac_status=$? 
     6914  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6915  (exit $ac_status); }; }; then 
     6916  ac_header_compiler=yes 
     6917else 
     6918  echo "$as_me: failed program was:" >&5 
     6919sed 's/^/| /' conftest.$ac_ext >&5 
     6920 
     6921ac_header_compiler=no 
     6922fi 
     6923rm -f conftest.$ac_objext conftest.$ac_ext 
     6924echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     6925echo "${ECHO_T}$ac_header_compiler" >&6 
     6926 
     6927# Is the header present? 
     6928echo "$as_me:$LINENO: checking $ac_header presence" >&5 
     6929echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6 
     6930cat >conftest.$ac_ext <<_ACEOF 
     6931#line $LINENO "configure" 
     6932/* confdefs.h.  */ 
     6933_ACEOF 
     6934cat confdefs.h >>conftest.$ac_ext 
     6935cat >>conftest.$ac_ext <<_ACEOF 
     6936/* end confdefs.h.  */ 
     6937#include <$ac_header> 
     6938_ACEOF 
     6939if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     6940  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     6941  ac_status=$? 
     6942  grep -v '^ *+' conftest.er1 >conftest.err 
     6943  rm -f conftest.er1 
     6944  cat conftest.err >&5 
     6945  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6946  (exit $ac_status); } >/dev/null; then 
     6947  if test -s conftest.err; then 
     6948    ac_cpp_err=$ac_c_preproc_warn_flag 
     6949  else 
     6950    ac_cpp_err= 
     6951  fi 
     6952else 
     6953  ac_cpp_err=yes 
     6954fi 
     6955if test -z "$ac_cpp_err"; then 
     6956  ac_header_preproc=yes 
     6957else 
     6958  echo "$as_me: failed program was:" >&5 
     6959sed 's/^/| /' conftest.$ac_ext >&5 
     6960 
     6961  ac_header_preproc=no 
     6962fi 
     6963rm -f conftest.err conftest.$ac_ext 
     6964echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     6965echo "${ECHO_T}$ac_header_preproc" >&6 
     6966 
     6967# So?  What about this header? 
     6968case $ac_header_compiler:$ac_header_preproc in 
     6969  yes:no ) 
     6970    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
     6971echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     6972    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     6973echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     6974    ( 
     6975      cat <<\_ASBOX 
     6976## ------------------------------------ ## 
     6977## Report this to bug-autoconf@gnu.org. ## 
     6978## ------------------------------------ ## 
     6979_ASBOX 
     6980    ) | 
     6981      sed "s/^/$as_me: WARNING:     /" >&2 
     6982    ;; 
     6983  no:yes ) 
     6984    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
     6985echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
     6986    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5 
     6987echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;} 
     6988    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     6989echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     6990    ( 
     6991      cat <<\_ASBOX 
     6992## ------------------------------------ ## 
     6993## Report this to bug-autoconf@gnu.org. ## 
     6994## ------------------------------------ ## 
     6995_ASBOX 
     6996    ) | 
     6997      sed "s/^/$as_me: WARNING:     /" >&2 
     6998    ;; 
     6999esac 
     7000echo "$as_me:$LINENO: checking for $ac_header" >&5 
     7001echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
     7002if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     7003  echo $ECHO_N "(cached) $ECHO_C" >&6 
     7004else 
     7005  eval "$as_ac_Header=$ac_header_preproc" 
     7006fi 
     7007echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
     7008echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
     7009 
     7010fi 
     7011if test `eval echo '${'$as_ac_Header'}'` = yes; then 
     7012  cat >>confdefs.h <<_ACEOF 
     7013#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
     7014_ACEOF 
     7015 
     7016fi 
     7017 
     7018done 
     7019 
     7020echo "$as_me:$LINENO: checking types of arguments for select" >&5 
     7021echo $ECHO_N "checking types of arguments for select... $ECHO_C" >&6 
     7022if test "${ac_cv_func_select_args+set}" = set; then 
     7023  echo $ECHO_N "(cached) $ECHO_C" >&6 
     7024else 
     7025  for ac_arg234 in 'fd_set *' 'int *' 'void *'; do 
     7026 for ac_arg1 in 'int' 'size_t' 'unsigned long' 'unsigned'; do 
     7027  for ac_arg5 in 'struct timeval *' 'const struct timeval *'; do 
     7028   cat >conftest.$ac_ext <<_ACEOF 
     7029#line $LINENO "configure" 
     7030/* confdefs.h.  */ 
     7031_ACEOF 
     7032cat confdefs.h >>conftest.$ac_ext 
     7033cat >>conftest.$ac_ext <<_ACEOF 
     7034/* end confdefs.h.  */ 
     7035$ac_includes_default 
     7036#if HAVE_SYS_SELECT_H 
     7037# include <sys/select.h> 
     7038#endif 
     7039#if HAVE_SYS_SOCKET_H 
     7040# include <sys/socket.h> 
     7041#endif 
     7042 
     7043int 
     7044main () 
     7045
     7046extern int select ($ac_arg1, 
     7047                                            $ac_arg234, $ac_arg234, $ac_arg234, 
     7048                                            $ac_arg5); 
     7049  ; 
     7050  return 0; 
     7051
     7052_ACEOF 
     7053rm -f conftest.$ac_objext 
     7054if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     7055  (eval $ac_compile) 2>&5 
     7056  ac_status=$? 
     7057  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     7058  (exit $ac_status); } && 
     7059         { ac_try='test -s conftest.$ac_objext' 
     7060  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     7061  (eval $ac_try) 2>&5 
     7062  ac_status=$? 
     7063  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     7064  (exit $ac_status); }; }; then 
     7065  ac_cv_func_select_args="$ac_arg1,$ac_arg234,$ac_arg5"; break 3 
     7066else 
     7067  echo "$as_me: failed program was:" >&5 
     7068sed 's/^/| /' conftest.$ac_ext >&5 
     7069 
     7070fi 
     7071rm -f conftest.$ac_objext conftest.$ac_ext 
     7072  done 
     7073 done 
     7074done 
     7075# Provide a safe default value. 
     7076: ${ac_cv_func_select_args='int,int *,struct timeval *'} 
     7077 
     7078fi 
     7079echo "$as_me:$LINENO: result: $ac_cv_func_select_args" >&5 
     7080echo "${ECHO_T}$ac_cv_func_select_args" >&6 
     7081ac_save_IFS=$IFS; IFS=',' 
     7082set dummy `echo "$ac_cv_func_select_args" | sed 's/\*/\*/g'` 
     7083IFS=$ac_save_IFS 
     7084shift 
    64387085 
    64397086cat >>confdefs.h <<_ACEOF 
    6440 #define RETSIGTYPE $ac_cv_type_signal 
    6441 _ACEOF 
    6442  
     7087#define SELECT_TYPE_ARG1 $1 
     7088_ACEOF 
     7089 
     7090 
     7091cat >>confdefs.h <<_ACEOF 
     7092#define SELECT_TYPE_ARG234 ($2) 
     7093_ACEOF 
     7094 
     7095 
     7096cat >>confdefs.h <<_ACEOF 
     7097#define SELECT_TYPE_ARG5 ($3) 
     7098_ACEOF 
     7099 
     7100rm -f conftest* 
    64437101 
    64447102echo "$as_me:$LINENO: checking whether stat accepts an empty string" >&5 
     
    66757333 
    66767334 
     7335 
     7336 
     7337 
    66777338for ac_func in  \ 
    66787339        gethostbyaddr   gethostbyname   gethostname             gettimeofday \ 
    66797340        inet_ntoa               memset                  mkdir                   pow \ 
    6680         realpath                rmdir                   setproctitle    socket \ 
    6681         strcasecmp              strncasecmp             strcasestr              strchr \ 
    6682         strdup                  strerror                strlcpy                 strpbrk \ 
    6683         strrchr                 strsep                  strstr                  strtol \ 
    6684         strtoul                 tzset 
     7341        realpath                rmdir                   select                  setproctitle \ 
     7342        socket                  strcasecmp              strncasecmp             strcasestr \ 
     7343        strchr                  strdup                  strerror                strlcpy \ 
     7344        strpbrk                 strrchr                 strsep                  strstr \ 
     7345        strtol                  strtoul                 strtoull                tzset \ 
     7346        uname 
    66857347do 
    66867348as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 
     
    67727434          ac_config_files="$ac_config_files Makefile" 
    67737435 
    6774 SUBDIRS="trackerd" 
    6775  
    6776 for dir in $SUBDIRS; do 
    6777                   ac_config_files="$ac_config_files $dir/Makefile" 
    6778  
    6779 done 
     7436          ac_config_files="$ac_config_files trackerd/Makefile" 
     7437 
    67807438 
    67817439cat >confcache <<\_ACEOF 
     
    73047962  # Handling of arguments. 
    73057963  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;; 
    7306   "$dir/Makefile" ) CONFIG_FILES="$CONFIG_FILES $dir/Makefile" ;; 
     7964  "trackerd/Makefile" ) CONFIG_FILES="$CONFIG_FILES trackerd/Makefile" ;; 
    73077965  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;; 
    73087966  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5 
  • trackerd/trunk/configure.in

    r189 r199  
    255255AC_TYPE_MODE_T 
    256256AC_TYPE_OFF_T 
     257AC_TYPE_SIGNAL 
    257258AC_TYPE_SIZE_T 
    258259AC_STRUCT_TM 
     
    262263# Checks for library functions 
    263264 
     265AC_FUNC_CHOWN 
    264266AC_FUNC_MALLOC 
    265267AC_FUNC_LSTAT 
    266 AC_TYPE_SIGNAL 
     268AC_FUNC_REALLOC 
     269AC_FUNC_SELECT_ARGTYPES 
    267270AC_FUNC_STAT 
    268271AC_FUNC_STRFTIME 
     
    270273        gethostbyaddr   gethostbyname   gethostname             gettimeofday \ 
    271274        inet_ntoa               memset                  mkdir                   pow \ 
    272         realpath                rmdir                   setproctitle    socket \ 
    273         strcasecmp              strncasecmp             strcasestr              strchr \ 
    274         strdup                  strerror                strlcpy                 strpbrk \ 
    275         strrchr                 strsep                  strstr                  strtol \ 
    276         strtoul                 tzset]) 
     275        realpath                rmdir                   select                  setproctitle \ 
     276        socket                  strcasecmp              strncasecmp             strcasestr \ 
     277        strchr                  strdup                  strerror                strlcpy \ 
     278        strpbrk                 strrchr                 strsep                  strstr \ 
     279        strtol                  strtoul                 strtoull                tzset \ 
     280        uname]) 
    277281 
    278282